<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly!
}

if ( ! class_exists( 'WPSC_EP_Action' ) ) :

	final class WPSC_EP_Action {

		/**
		 * Initialize this class
		 *
		 * @return void
		 */
		public static function init() {

			// email piping/thread source.
			add_filter( 'wpsc_source_list', array( __CLASS__, 'add_ticket_source' ) );

		}

		/**
		 * Ticket/thread source list
		 *
		 * @param array $sources
		 * @return void
		 */
		/**
		 * Ticket/thread source list
		 *
		 * @param array $sources - source name.
		 * @return array
		 */
		public static function add_ticket_source( $sources ) {

			$sources['imap']  = 'IMAP';
			$sources['gmail'] = 'Gmail';
			$sources['me'] = 'Microsoft Exchange';
			return $sources;
		}
	}

endif;
WPSC_EP_Action::init();
